//
//  DSCarbonCategories.h
//  Shared categories
//
//  Created by David Sinclair on 2005-08-13.
//  Copyright 2004 - 2005 Dejal Systems, LLC. All rights reserved.
//


@interface NSString (DSCarbonStringCategories)

+ (NSString *)stringWithFSRef:(const FSRef *)aFSRef;

- (BOOL)getFSRef:(FSRef *)aFSRef;

- (NSString *)resolveAliasFile;

- (BOOL)getFSSpec:(FSSpec *)fileSpec createIfMissing:(BOOL)createIfMissing;

- (NSString *)pathFileKind;

@end

