//
//  DSAgentMainController.h
//  Shared classes
//
//  Created by David Sinclair on 2007-03-29.
//  Copyright 2007 Dejal Systems, LLC. All rights reserved.
//

#import "DSSharedController.h"
#import "DSAgentManager.h"


@interface DSAgentMainController : DSSharedController
{
    DSAgentManager *_schedulerAgent;
    DSAgentManager *_statusAgent;
}

// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark AGENT DELEGATE METHODS
// ----------------------------------------------------------------------------------------

- (void)agent:(DSAgentManager *)sender wasWrongRelease:(NSString *)release;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark ACCESSOR METHODS
// ----------------------------------------------------------------------------------------

- (DSAgentManager *)schedulerAgent;
- (void)setSchedulerAgent:(DSAgentManager *)value;

- (DSAgentManager *)statusAgent;
- (void)setStatusAgent:(DSAgentManager *)value;

@end

