//
//  DSMailDelivery.h
//  Shared classes
//
//  Created by Claus Broch on 17/08/2004.
//  Copyright 2004 Infinite Loop. All rights reserved.
//  Portions copyright 2005 - 2006 Dejal Systems, LLC.
//

#import <Foundation/Foundation.h>


@interface DSMailDelivery : NSObject
{
@private
	int		_serverSocket;
	BOOL	_isConnected;
}

+ (BOOL)sendMail:(NSData*)mail to:(NSString*)to cc:(NSString*)cc from:(NSString*)from;
+ (NSData*)mailMessage:(NSString*)message withSubject:(NSString*)subject to:(NSString*)to from:(NSString*)from attachments:(NSArray*)attachments;
+ (NSData*)mailMessage:(NSString *)message withSubject:(NSString *)subject to:(NSString *)to cc:(NSString *)cc from:(NSString *)from replyTo:(NSString *)replyTo mailer:(NSString *)mailer extraHeaders:(NSDictionary *)extraHeaders attachments:(NSArray *)attachments;

- (BOOL)sendMail:(NSData*)mail to:(NSString*)to cc:(NSString*)cc from:(NSString*)from;
- (BOOL)sendMail:(NSData*)mail to:(NSString *)to from:(NSString*)from usingServer:(NSString*)server onPort:(int)port;

@end
