//
//  DSSortTermsBitData.h
//  Shared classes
//
//  Created by David Sinclair on Sun Mar 21 2004.
//  Copyright (c) 2004 Dejal Systems, LLC. All rights reserved.
//
//  This class is private to DSSortTermsData.
//


@interface DSSortTermsBitData : NSObject
{
    id _term;
    id _object;
}

+ (id)sortTermWithTerm:(id)term object:(id)object;

- (id)initWithTerm:(id)term object:(id)object;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark SORTING METHODS
// ----------------------------------------------------------------------------------------

- (NSComparisonResult)compare:(id)other;
- (NSComparisonResult)caseInsensitiveCompare:(id)other;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark ACCESSOR METHODS
// ----------------------------------------------------------------------------------------

- (id)term;
- (void)setTerm:(id)value;

- (id)object;
- (void)setObject:(id)value;

@end
