//
//  DSSortTermsData.h
//  Shared classes
//
//  Created by David Sinclair on Sun Mar 21 2004.
//  Copyright (c) 2004 Dejal Systems, LLC. All rights reserved.
//


@interface DSSortTermsData : NSObject
{
@private
    NSMutableArray *_collection;
}

+ (NSArray *)sortObjectsFromArray:(NSArray *)objects usingTermSelector:(SEL)selector;

+ (id)sortTerms;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark SORTING METHODS
// ----------------------------------------------------------------------------------------

- (NSArray *)sortObjectsFromArray:(NSArray *)objects usingTermSelector:(SEL)selector;

- (void)addTerm:(id)term forObject:(id)object;
- (void)addTermsFromArray:(NSArray *)terms forObjectsFromArray:(NSArray *)objects;

- (BOOL)sort;
- (BOOL)sortCaseSensitive:(BOOL)caseSensitive;

- (NSArray *)terms;
- (NSArray *)objects;

@end
