#import "DSSharedPrefDefines.h"
#import "DSPreferencesHandler.h"


@class FilePathField;

@interface DSPrefsAdvanced : DSPreferencesHandler
{
    IBOutlet NSButton *keepBackupCheck;
    IBOutlet FilePathField *dataPathStat;
    IBOutlet NSButton *dataPathSetButton;
}

// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark TARGET/ACTION METHODS
// ----------------------------------------------------------------------------------------

- (IBAction)keepBackupCheckHit:(id)sender;
- (IBAction)dataPathStatHit:(id)sender;
- (IBAction)dataPathSetButtonHit:(id)sender;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark EXTRA METHODS
// ----------------------------------------------------------------------------------------

- (void)dataPathOpenPanelDidEnd:(NSOpenPanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (void)setDataPathStat:(NSTextField *)stat withPath:(NSString *)path;

@end
