//
//  DSProgressCell.h
//  Shared classes
//
//  Created by David Sinclair on Thu Dec 09 2004.
//  Copyright (c) 2004 Dejal Systems, LLC. All rights reserved.
//

#import "DSProgressCellController.h"


@interface DSProgressCell : NSImageCell
{
    @private
    DSProgressCellController *_progressController;
}

- (id)initProgressCellWithAltImage:(NSImage *)image;

- (DSProgressCellController *)progressController;
- (void)setProgressController:(DSProgressCellController *)controller;

@end
