/* DSSplashController */

#import <Cocoa/Cocoa.h>

@class DSSplashView;

@interface DSSplashController : NSWindowController
{
    IBOutlet NSTextField *progressStat;
    IBOutlet DSSplashView *splashView;

//    NSString *lastProgress;
//    int progressCount;
}

+ (id)sharedSplashController;

- (void)showSplash;
- (void)removeSplash;

- (void)duringAnimation:(id)object;

- (void)dissolveFromImage:(NSImage *)source toImage:(NSImage *)dest forInterval:(NSTimeInterval)totalTime;

- (void)updateImage:(NSImage *)image offsetHoriz:(int)horiz offsetVert:(int)vert
         withString:(NSString *)string font:(NSFont *)font color:(NSColor *)color;

- (void)changeProgress:(NSString *)progress;

@end
