//
//  DSDateControl.h
//  Shared classes
//
//  Created by David Sinclair on Fri Nov 28 2003.
//  Copyright (c) 2003 Dejal Systems, LLC. All rights reserved.
//

#import "WBTimeControl.h"


#define DSDATECONTROL_YEAR_ID			0
#define DSDATECONTROL_MONTH_ID			1
#define DSDATECONTROL_DAY_ID			2


@interface DSDateControl : WBTimeControl
{

}

- (void)setYear:(int)aYear;
- (int)year;

- (void)setMonth:(int)aMonth;
- (int)month;

- (void)setDay:(int)aDay;
- (int)day;


- (void)hitStepperWithValue:(int)value;

- (IBAction)takeIntValueFrom:(id)sender;


- (int)indexForDateComponent:(int)component;

@end
