//
//  DSDividerAttachmentCell.m
//  Shared classes
//
//  Created by David Sinclair on 2007-11-05.
//  Copyright 2007 Dejal Systems, LLC. All rights reserved.
//

#import "DSDividerAttachmentCell.h"


// Note: this class hasn't been used yet, but could be very useful.  It creates a divider line across the width of a text view, and can be easily inserted in a text attachment.  I could add methods to allow customized color, size, appearance, etc.


@implementation DSDividerAttachmentCell

- (NSRect)cellFrameForTextContainer:(NSTextContainer *)textContainer  
               proposedLineFragment:(NSRect)lineFrag
                      glyphPosition:(NSPoint)position  
                     characterIndex:(NSUInteger)charIndex;
{
    NSLog(@"line frag %@", NSStringFromRect(lineFrag));
    return NSMakeRect(0, 0, lineFrag.size.width - 10, 1);
}

- (void)drawWithFrame:(NSRect)cellFrame
               inView:(NSView *)controlView  
       characterIndex:(NSUInteger)charIndex
        layoutManager:(NSLayoutManager *)layoutManager;
{
    [[NSColor grayColor] set];
    NSLog(@"cell frame %@", NSStringFromRect(cellFrame));
    NSRectFill(cellFrame);
}

@end

