//
//  AbstractPersonEntity.h
//  Narrator
//
//  Created by David Sinclair on 2007-10-18.
//  Copyright (c) 2007 Dejal Systems, LLC. All rights reserved.
//

@class VoiceEntity;
@class ImageEntity;


@interface AbstractPersonEntity : NSManagedObject
{
}

@property(copy) NSString *identifier;
@property(copy) NSString *name;
@property(copy) NSString *comment;
@property(copy) NSColor *color;
@property(copy) NSImage *tableImage;
@property ImageEntity *fullImage;
@property VoiceEntity *voice;
@property(copy) NSNumber *locked;

@end

