//
//  NarratorTextView.h
//  Narrator
//
//  Created by David Sinclair on 2007-11-05.
//  Copyright 2007 Dejal Systems, LLC. All rights reserved.
//

#define kCharacterMarkerPboardType @"NarratorCharacterMarkerPboardType"


@interface NarratorTextView : NSTextView
{
    NSColorWell *colorWell;
}

@property NSColorWell *colorWell;

@end


@protocol NarratorTextViewDelegateProtocol
@optional

- (void)textView:(NarratorTextView *)textView willPerformAction:(SEL)action;

@end

