//
//  DSStatusAgentController.h
//  Shared classes
//
//  Created by David Sinclair on 2007-03-14.
//  Copyright 2007 Dejal Systems, LLC. All rights reserved.
//


#import "DSAgentController.h"


@interface DSStatusAgentController : DSAgentController
{

}

- (void)licenseAssistantDidFinish;
- (void)licenseAssistantWasPrematurelyClosed;

- (NSString *)productNumberString;
- (NSString *)productSpecificStats;

- (NSDictionary *)makeKind:(int)kind price:(NSString *)price
               kagiProduct:(NSString *)kagiProduct kagiPart:(NSString *)kagiPart;

- (NSArray *)availableLicensesArray;
- (BOOL)readyForLicenseAssistant;

- (id)updateController;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark AGENT DELEGATE METHODS
// ----------------------------------------------------------------------------------------

- (void)agentDidChangeUpdatesPreferences:(DSAgentManager *)sender;
- (void)agent:(DSAgentManager *)sender checkForUpdates:(NSString *)checkingMode runModal:(NSString *)runModal;

@end

