//
//  DSScriptController.h
//  Shared classes
//
//  Created by David Sinclair on Thu Apr 15 2004.
//  Copyright (c) 2004 Dejal Systems, LLC. All rights reserved.
//


@interface DSScriptController : NSObject
{
    NSMenu *_menu;
    NSString *_path;
}

+ (id)sharedScriptController;

- (void)setupWithMenu:(NSMenu *)menu parentPath:(NSString *)path;

- (void)openFolder;
- (void)updateMenu;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark TARGET/ACTION METHODS
// ----------------------------------------------------------------------------------------

- (IBAction)performScript:(id)sender;


// ----------------------------------------------------------------------------------------
#pragma mark -
#pragma mark ACCESSOR METHODS
// ----------------------------------------------------------------------------------------

- (NSMenu *)menu;
- (void)setMenu:(NSMenu *)value;

- (NSString *)path;
- (void)setPath:(NSString *)value;

@end
