//
//  DSBackgroundView.h
//  Shared classes
//
//  Created by David Sinclair on 2005-08-27.
//  Copyright 2005 - 2006 Dejal Systems, LLC. All rights reserved.
//


@interface DSBackgroundView : NSView
{
    NSColor *_backgroundColor;
    NSColor *_borderColor;
    BOOL _drawsBackground;
    BOOL _drawsBorder;
}

- (NSColor *)backgroundColor;
- (void)setBackgroundColor:(NSColor *)value;

- (NSColor *)borderColor;
- (void)setBorderColor:(NSColor *)value;

- (BOOL)drawsBackground;
- (void)setDrawsBackground:(BOOL)value;

- (BOOL)drawsBorder;
- (void)setDrawsBorder:(BOOL)value;

@property (getter=drawsBackground,setter=setDrawsBackground:) BOOL _drawsBackground;
@property (retain) NSColor *_borderColor;
@property (getter=drawsBorder,setter=setDrawsBorder:) BOOL _drawsBorder;
@property (retain) NSColor *_backgroundColor;

@end
