//
//  DSIconTextCell.h
//  Shared classes
//
//  Created by David Sinclair on 2006-04-09.
//  Copyright 2006 Dejal Systems, LLC. All rights reserved.
//


@interface DSIconTextCell : NSTextFieldCell
{
    @private
    NSImage *image;
}

- (void)setImage:(NSImage *)anImage;
- (NSImage *)image;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (NSSize)cellSize;

@end


// ----------------------------------------------------------------------------------------
#pragma mark -
// ----------------------------------------------------------------------------------------


@interface DSSourceIconTextCell : DSIconTextCell
{
}

@end

