//
//  ChapterEntity.m
//  Narrator
//
//  Created by David Sinclair on 2007-10-16.
//  Copyright (c) 2007 Dejal Systems, LLC. All rights reserved.
//

#import "ChapterEntity.h"
#import "MTCDUtilities.h"


@implementation ChapterEntity

@dynamic name, tableImage, text, document;

- (void)awakeFromInsert;
{
    [super awakeFromInsert];
    
    NSManagedObjectContext *managedObjectContext = [self managedObjectContext];
    
    self.tableImage = [NSImage imageNamed:@"GenericDocument"];
    self.text = [NSEntityDescription insertNewObjectForEntityForName:@"Text" inManagedObjectContext:managedObjectContext];
}

@end

