//
//  DocumentEntity.m
//  Narrator
//
//  Created by David Sinclair on 2007-11-24.
//  Copyright 2007 Dejal Systems, LLC. All rights reserved.
//

#import "DocumentEntity.h"
#import "MainDefines.h"


@implementation DocumentEntity

@dynamic checkSpelling, checkGrammar, showRuler, smartCopyPaste, smartQuotes, smartLinks, documentFont, currentChapter;

- (void)awakeFromInsert;
{
    [super awakeFromInsert];
    
    self.checkSpelling = [[NSUserDefaults standardUserDefaults] objectForKey:CHECK_SPELLING];
    self.checkGrammar = [[NSUserDefaults standardUserDefaults] objectForKey:CHECK_GRAMMAR];
    self.showRuler = [[NSUserDefaults standardUserDefaults] objectForKey:SHOW_RULER];
    self.smartCopyPaste = [[NSUserDefaults standardUserDefaults] objectForKey:SMART_COPY_PASTE];
    self.smartQuotes = [[NSUserDefaults standardUserDefaults] objectForKey:SMART_QUOTES];
    self.smartLinks = [[NSUserDefaults standardUserDefaults] objectForKey:SMART_LINKS];
    self.documentFont = [[NSUserDefaults standardUserDefaults] objectForKey:DOCUMENT_FONT];
}

@end

